@echo off
call SET START_PATH=%~dp0

echo calculating ADT
call cd ANTRL-Grammatiken\ADT
call antlr4 -lib "%START_PATH%ANTRL-Grammatiken\Lib" ADT.g4
call javac ADT*.java
call grun ADT adt -gui ADT_Bsp_NatTree.txt

call cd %START_PATH%

echo calculating Task 
call cd ANTRL-Grammatiken\Aufgabenstellung
call antlr4 -lib "%START_PATH%ANTRL-Grammatiken\Lib" Task.g4
call javac Task*.java
call grun Task task -gui Task_Bsp_NatTree.txt

call cd %START_PATH%

echo calculating Proof
call cd ANTRL-Grammatiken\Beweis
call antlr4 -lib "%START_PATH%ANTRL-Grammatiken\Lib" Proof.g4
call javac Proof*.java
call grun Proof proof -gui demo).proof

call cd %START_PATH%